# Uses of Class
org.apache.avro.io.ResolvingDecoder

Packages that use ResolvingDecoder
Package
Description
org.apache.avro.generic
A generic representation for Avro data.
org.apache.avro.io
Utilities for Encoding and Decoding Avro data.
org.apache.avro.reflect
Use Java reflection to generate schemas and protocols for existing classes.
org.apache.avro.specific
Generate specific Java classes for schemas and protocols.

## Uses of ResolvingDecoder in org.apache.avro.generic

Methods in org.apache.avro.generic that return ResolvingDecoder
Modifier and Type
Method
Description
`protected final ResolvingDecoder`
GenericDatumReader.`getResolver(Schema actual, Schema expected)`
Gets a resolving decoder for use by this GenericDatumReader.
Methods in org.apache.avro.generic with parameters of type ResolvingDecoder
Modifier and Type
Method
Description
`protected Object`
GenericDatumReader.`read(Object old, Schema expected, ResolvingDecoder in)`
Called to read data.
`protected Object`
GenericDatumReader.`readArray(Object old, Schema expected, ResolvingDecoder in)`
Called to read an array instance.
`protected void`
GenericDatumReader.`readField(Object record, Schema.Field field, Object oldDatum, ResolvingDecoder in, Object state)`
Called to read a single field of a record.
`protected Object`
GenericDatumReader.`readMap(Object old, Schema expected, ResolvingDecoder in)`
Called to read a map instance.
`protected Object`
GenericDatumReader.`readRecord(Object old, Schema expected, ResolvingDecoder in)`
Called to read a record instance.
`protected Object`
GenericDatumReader.`readWithConversion(Object old, Schema expected, LogicalType logicalType, Conversion<?> conversion, ResolvingDecoder in)`
`protected Object`
GenericDatumReader.`readWithoutConversion(Object old, Schema expected, ResolvingDecoder in)`

## Uses of ResolvingDecoder in org.apache.avro.io

Methods in org.apache.avro.io that return ResolvingDecoder
Modifier and Type
Method
Description
`ResolvingDecoder`
DecoderFactory.`resolvingDecoder(Schema writer, Schema reader, Decoder wrapped)`
Creates a `ResolvingDecoder` wrapping the Decoder provided.

## Uses of ResolvingDecoder in org.apache.avro.reflect

Methods in org.apache.avro.reflect with parameters of type ResolvingDecoder
Modifier and Type
Method
Description
`protected Object`
ReflectDatumReader.`readArray(Object old, Schema expected, ResolvingDecoder in)`
`protected void`
ReflectDatumReader.`readField(Object record, Schema.Field field, Object oldDatum, ResolvingDecoder in, Object state)`

## Uses of ResolvingDecoder in org.apache.avro.specific

Methods in org.apache.avro.specific with parameters of type ResolvingDecoder
Modifier and Type
Method
Description
`void`
SpecificRecordBase.`customDecode(ResolvingDecoder in)`
`protected void`
SpecificDatumReader.`readField(Object record, Schema.Field field, Object oldDatum, ResolvingDecoder in, Object state)`
`protected Object`
SpecificDatumReader.`readRecord(Object old, Schema expected, ResolvingDecoder in)`